%define upstream_name       Module-ScanDeps
%define upstream_version 1.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    Recursively scan Perl code for dependencies
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(version)
BuildArch:  noarch
#Add provides for rpm-build
Provides:      perl(Module::ScanDeps::DataFeed)

%description
This is a module to recursively scan Perl programs for dependencies.

An application of Module::ScanDeps is to generate executables from scripts
that contains necessary modules; this module supports two such projects, PAR
and App::Packer.  Please see their respective documentations on CPAN for
further information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make 


%install
%{makeinstall_std}

%files
%doc AUTHORS Changes META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module

%changelog
* Wed Jan 29 2020 yodelu - 1.210.0-4pclos2020
- add provides requested by rpm-build

* Wed Jul 12 2017 bb2 <bb2> - 1.210.0-3pclos2017
- rebuild against updates

